# Class PageSize

#### Hierarchy

- XmlComponent
  - PageSize

- Defined in src/file/document/body/section-properties/properties/page-size.ts:35

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageSize(width: string | number, height: string | number, orientation: PageOrientation): PageSize

- #### Parameters

  - ##### width: string | number

  - ##### height: string | number

  - ##### orientation: PageOrientation

  #### Returns PageSize

  Overrides XmlComponent.constructor

  - Defined in src/file/document/body/section-properties/properties/page-size.ts:36

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc